package decoration;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class Decoration {

	List<Window> windows = new ArrayList<Window>();
	List<Shape> shapes = new ArrayList<Shape>();

	public Decoration() {

	}

	public List<Window> getWindows() {
		return windows;
	}

	public List<Shape> getShapes() {
		return shapes;
	}

	public void sortWindowsAndShapes() {

		Collections.sort(windows);
		Collections.sort(shapes);
	}

	public int maxBeauty() {

		int result = 0;

		for (Window currentWindow : windows) {

			result += currentWindow.beauty();
		}

		return result;
	}
}